---
apiVersion: triggers.tekton.dev/v1alpha1
kind: EventListener
metadata:
  name: eventlistener-generic-s2i
  namespace: {{ namespace }}
spec:
  serviceAccountName: {{ trigger_sa }}
  triggers:
  - name: generic-listener
    interceptors:
    - github:
        eventTypes:
        - pull_request
{% if bc_secret | default(False) %}
        secretRef:
          secretName: {{ bc_secret }}
          secretKey: username
{% endif %}
    - cel:
        filter: "body.repository.url.matches('s2i-')"
    - cel:
        overlays:
        - key: extensions.branch
          expression: "body.ref.split('/')[size(body.ref.split('/')) - 1]"
        - key: extensions.reponame
          expression: "body.repository.html_url.split('/')[size(body.repository.html_url.split('/')) - 1]"
    bindings:
    - kind: TriggerBinding
      ref: generic
    template:
      ref: s2i
